 
<div class="edit1 col-xs-12">

    <form name="frmPro" id="frmPro"  class="form-horizontal" novalidate="novalidate">
        <input type="hidden" name="frmPro[procId]" id="frmPro[procId]"  value="{{processus.id}}">
        <div class="form-group"><h4 class="header blue">Modifier le texte</h4>

            <span class="help-inline col-xs-12 col-sm-7">
                <span class="middle error_form fr red"> </span>
            </span>
            <div class="col-sm-12">
                <textarea name="frmPro[prcTxt]" id="frmPro[prcTxt]" class=" prcTxt textarea summernote2 col-sm-12"> {{processus.text}} </textarea>


            </div>
        </div>




        <div class="clearfix form-actions">
            <div class="col-md-offset-3 col-md-9">
                <button type="submit"  class="btn btn-sm btn-primary">Enregistrer</button>

                &nbsp; &nbsp; &nbsp;
                <button type="reset" id="reset"  class="btn btn-sm btn-secondary">Réinitialiser</button>

            </div>
        </div>


    </form>



    {{ include ('load/load.html.twig')}}



    <script>


        $('.summernote2').summernote({
            maximumImageFileSize: 1048576,
            height: 200,

            toolbar: [
                ['style', ['style']],
                ['font', ['bold', 'italic', 'underline', 'clear']],
                ['color', ['color']],
                ['para', ['ul', 'ol', 'paragraph']],
                ['height', ['height']],
                ['table', ['table']],
                ['insert', ['link', 'picture', 'hr']],
                ['view', ['fullscreen']],
        {#                ['help', ['help']]#}
                ],
        {# 'lang': 'fr-FR',#}
                focus: true
            });



            $('#frmPro').submit(function (e) {

                if ($.trim($('.prcTxt').val()) == '')
                {
                     alert($('#prcTxt').val());
                    $('.fr').show().html('Cette valeur ne doit pas être vide. <br/>');
                } else
                {
                    $('#model-load').modal('show');

                    var dta = $(this).serialize();
                  //  alert(dta);







                    //  $(".message_flash_info1").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> Loading ...</p>");
                    if (dta) {
                        $.ajax({
                            type: 'POST',
                            url: "{{path('edit_processus1')}}",
                            data: dta,
                            processData: false,
                           
                           // dataType: 'json',
                            success: function (result) {
                           //  console.log(result);
                                var parsed = jQuery.parseJSON(result);
                               // alert(parsed.data);
                                
                                if (parsed.data == 1) {




                                    $('.edit1').hide();
                                    $('.add1').show();
                                    location.reload();
                                }


                            },
                            error: function (XMLHttpRequest, textStatus, errorThrown) {
                                alert("some error");
                            }

                        });
                    }

                }




                e.preventDefault();

            });
    </script>